Subject: Re: [4/5] powerpc: PA Semi PWRficient platform support

From: Olof Johansson <[email-masked]>
Date: Thu, 7 Sep 2006 07:47:29 -0500

On Thu, 7 Sep 2006 13:28:25 +0200 Segher Boessenkool <[email-masked]> wrote:

> >> How about I keep it this way until Maple is fixed then? It's  
> >> better to keep it
> >> fairly common anyway. Functionally there's no difference.
> >
> > Well, the platform-open-pic thingy comes from the CHRP spec.
> 
> I can't find it there.  I'm looking at version 1.0; maybe it's
> in a newer version that I don't have?  It's not in the PAPR
> either (the "open" version, anyway).

1.5 from http://openbios.org/docs/index.html has it (section 5.1.1):

prop-name indicates the system Open Firmware Interrupt Controller physical address.

prop-encoded-array: List of system phys-addr values

This property is a list of system physical addresses corresponding to "reg" property
of the system Open Firmware Interrupt Controller

reg for the openpic is (section 5.5.1):

Standard prop-name, defines the base physical address(s) and size(s)
of this Open PIC's addressable register space.

prop-encoded-array: List of (phys-addr, size) specifications

Phys-addr is encoded as with encode-phys, and size is encoded as with encode-int.

The first entry in this list shall be the physical address and size
decoded by the base Open PIC Interrupt Delivery Unit (IDU). Successive
entries in this list shall be the physical addresses and sizes decoded
by any additional Open PIC Interrupt Source Units (ISU).